#ifndef CODING_DRONE_FW_SW_H_
#define CODING_DRONE_FW_SW_H_

void Firmware_setup();
void Firmware_loop();

unsigned char readBuffer(int index);
void writeBuffer(int index,unsigned char c);
void writeHead();
void writeEnd();
void writeSerial(unsigned char c);
void readSerial();
void parseData();
void callOK();
void sendByte(char c);
void sendString(String s);
void sendFloat(float value);
void sendShort(double value);
void sendDouble(double value);
short readShort(int idx);
float readFloat(int idx);
long readLong(int idx);
String readString(int len, int startIdx);
void readString_to_BT(int idx);



void runModule(int device);
void readSensor(int device);

#endif /* CODING_DRONE_FW_SW_H_ */