#BNC CodingDrone Driver#

This driver is for the BNC CodingDrone Product (https://smartstore.naver.com/domekit)

## About the CodingDrone ##

This Product from BNC is the best low-cost Coding Drone. It is best solution for Coding Education in Arduino with Drone.

## About this Driver ##

BNC invests time and resources providing this open source code.  Please support Domekit in BNC and open-source hardware by purchasing products from Domekit in BNC!!

Written by Kang Shin Yoon, R&D Department Manager in BNC.

<!-- START COMPATIBILITY TABLE -->

## Compatibility

MCU                | Tested Works | Doesn't Work | Not Tested  | Notes
------------------ | :----------: | :----------: | :---------: | -----
Atmega328 @ 16MHz  |             |      X       |            | 
Atmega328 @ 12MHz  |             |      X       |            | 
Atmega32u4 @ 16MHz |      X       |             |            | Use SDA/SCL on pins D2 &amp; D3
Atmega32u4 @ 8MHz  |             |      X       |            | Use SDA/SCL on pins D2 &amp; D3
ESP8266            |             |      X       |            | SDA/SCL default to pins 4 &amp; 5 but any two pins can be assigned as SDA/SCL using Wire.begin(SDA,SCL)
Atmega2560 @ 16MHz |             |      X       |            | Use SDA/SCL on pins 20 &amp; 21
ATSAM3X8E          |             |      X       |            | Use SDA/SCL on pins 20 &amp; 21
ATSAM21D           |             |      X       |            | 
ATtiny85 @ 16MHz   |             |      X       |            |
ATtiny85 @ 8MHz    |             |      X       |            | 
Intel Curie @ 32MHz |             |             |     X       | 
STM32F2            |             |             |     X       | 

  * ATmega328 @ 16MHz : Arduino UNO, Adafruit Pro Trinket 5V, Adafruit Metro 328, Adafruit Metro Mini
  * ATmega328 @ 12MHz : Adafruit Pro Trinket 3V
  * ATmega32u4 @ 16MHz : Arduino Leonardo, Arduino Micro, Arduino Yun, Teensy 2.0
  * ATmega32u4 @ 8MHz : Adafruit Flora, Bluefruit Micro
  * ESP8266 : Adafruit Huzzah
  * ATmega2560 @ 16MHz : Arduino Mega
  * ATSAM3X8E : Arduino Due
  * ATSAM21D : Arduino Zero, M0 Pro
  * ATtiny85 @ 16MHz : Adafruit Trinket 5V
  * ATtiny85 @ 8MHz : Adafruit Gemma, Arduino Gemma, Adafruit Trinket 3V

<!-- END COMPATIBILITY TABLE -->
